package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcUserHistory;

/**
 * 用户历史Mapper接口
 * 
 * @author cmc
 * @date 2024-02-28
 */
public interface CmcUserHistoryMapper 
{
    /**
     * 查询用户历史
     * 
     * @param userId 用户历史主键
     * @return 用户历史
     */
    public CmcUserHistory selectCmcUserHistoryByUserId(Long userId);

    /**
     * 查询用户历史列表
     * 
     * @param cmcUserHistory 用户历史
     * @return 用户历史集合
     */
    public List<CmcUserHistory> selectCmcUserHistoryList(CmcUserHistory cmcUserHistory);

    /**
     * 新增用户历史
     * 
     * @param cmcUserHistory 用户历史
     * @return 结果
     */
    public int insertCmcUserHistory(CmcUserHistory cmcUserHistory);

    /**
     * 修改用户历史
     * 
     * @param cmcUserHistory 用户历史
     * @return 结果
     */
    public int updateCmcUserHistory(CmcUserHistory cmcUserHistory);

    /**
     * 删除用户历史
     * 
     * @param userId 用户历史主键
     * @return 结果
     */
    public int deleteCmcUserHistoryByUserId(Long userId);

    /**
     * 批量删除用户历史
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcUserHistoryByUserIds(Long[] userIds);
}
